<?php
namespace Redis\Db6;
/**
 * User: liuyuzhen
 * Date: 2018/7/18
 * Time: 15:54
 * Description:
 */

class StoreOnlineGoodsClassRedisModel extends \Redis\Db6\AbstractModel {
    /**
     * 表名
     *
     * @var string
     */
    protected $_tableName = 'han_store_online_goods_class';

    public function tableCacheGet($id){
        $result = $this->get($this->calcKey($id));
        return $result;
    }

    public function tableCacheSet($id,$data,$experio){
        $res=$this->set($this->calcKey($id), $data,$experio);
        return $res;
    }


    /**
     * 类实例
     *
     */
    private static $_instance = null;

    /**
     * 获取类实例
     *
     */
    public static function getInstance() {
        if (!(self::$_instance instanceof self)) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }

}